# Documentation for PlutoReport.jl

## Features

1. A fancy title for your report - [Title](@ref)
2. A floating control panel to set the amount of time of your talk, and toggle presentation mode - [presentation_controls](@ref)
3. A nice clock to show you how much time you have left - [presentation_ui](@ref)
4. Inline citations - [@cite](@ref)
5. List of cited references, with an autogenerated bibliography - [References](@ref) and [display_bibliography](@ref)
6. Show abstract of selected bibliography element [show_abstract](@ref)

## Installation

In any cell of your Pluto notebook,

```julia
using PlutoReport
```

And you are done!!

## Example

You can find example notebooks [here](https://github.com/DhruvaSambrani/PlutoReport.jl/tree/main/examples) with the associated bibtex files. Make sure you have the notebook and bibtex files in the same folder!

If you just want to see how it looks like, look at the [hosted example page](./example.html). This however will not have all the fancy features that makes this package useful.

## API Documentation

```@autodocs
Modules = [PlutoReport]
Pages   = ["presentation.jl", "references.jl", "Title.jl", "abstracts.jl"]
```
